diff options
author | Florian Dold <florian.dold@gmail.com> | 2016-03-21 18:24:55 +0100 |
---|---|---|
committer | Florian Dold <florian.dold@gmail.com> | 2016-03-21 18:24:55 +0100 |
commit | a04c6f66e52aeeff1e78adaa4141366c019b98be (patch) | |
tree | 6dd4709a34e7f123ee87a03cf0e7712c9eafc533 | |
parent | 339c59ba118915cbe05b51b7e0909b45ea160ce1 (diff) |
add more configure checks
-rwxr-xr-x | configure | 28 |
1 files changed, 28 insertions, 0 deletions
@@ -1,6 +1,34 @@ #!/usr/bin/env bash +set -eu + +node_version=$(node --version) +if [ ! "$?" -eq 0 ]; then + echo 'Error: node executable not found.' + echo 'If you are using ubuntu or debian, try installing the' + echo 'node-legacy package or symlink node to nodejs.' + exit 1 +fi +echo "Using node ${node_version}" + if ! npm --version >/dev/null; then echo 'Node Package Manager (npm) missing' exit 1 fi + +if ! find --version >/dev/null; then + echo 'Error: find missing' + exit 1 +fi + +if ! xargs --version >/dev/null; then + echo 'Error: xargs missing' + exit 1 +fi + +if ! msgmerge --version >/dev/null; then + echo "Warning: msgmerge missing, i18n won't work" + exit 1 +fi + + |